<mat-icon style="cursor: pointer;" matTooltip="Show Grad Details" (click)="showDetails()">info</mat-icon>
 <mat-icon style="cursor: pointer;" matTooltip="edited history of grad" routerLink="/edited-history/{{params.node.data.parentId}}">description</mat-icon>
 <mat-icon style="cursor: pointer;" matTooltip="edit grad" (click)="editGrad()"> border_color</mat-icon> 
 <mat-icon style="cursor: pointer;" matTooltip="delete grad" (click)="deleteGrad()">delete</mat-icon>